#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 34. GNOME Applications

- Prev

  Seahorse-47.0.1

- Next

  Snapshot-50.0

- Up
- Home

# Showtime-49.1

## Introduction to Showtime

Showtime is an application used for playing audio and video files on the GNOME desktop.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/showtime/49/showtime-49.1.tar.xz

- Download MD5 sum: 8646fd90b0bbfb9bda6fcb83a637c437

- Download size: 2.8 MB

- Estimated disk space required: 5.0 MB

- Estimated build time: less than 0.1 SBU

### Showtime Dependencies

#### Required

blueprint-compiler-0.20.4, gst-plugins-base-1.28.2, libadwaita-1.9.0, and PyGObject-3.56.2

## Installation of Showtime

Install Showtime by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                ..                  &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Program: showtime
Installed Library: None
Installed Directories: /usr/lib/python3.14/site-packages/showtime

### Short Descriptions

showtime | is a lightweight audio and video player designed for the GNOME desktop

- Prev

  Seahorse-47.0.1

- Next

  Snapshot-50.0

- Up
- Home